module State.GenericTVarState (GenericTVarState, updateGenericTVarState, getGenericTVarState) where

import ClassyPrelude

type GenericTVarState a = TVar a

updateGenericTVarState :: (MonadIO m) => GenericTVarState a -> a -> m ()
updateGenericTVarState tv a = atomically $ writeTVar tv a

getGenericTVarState :: (MonadIO m) => GenericTVarState a -> m a
getGenericTVarState = readTVarIO
