{-# LANGUAGE DeriveGeneric #-}

module Types.UsersData
  ( UsersData (..),
  )
where

import ClassyPrelude
import Data.Aeson (ToJSON)
import Types.RoomData (RoomsData)
import Types.User (User)

data UsersData = UsersData
  { roomsData :: RoomsData,
    usersWithOutRoom :: UsersWithoutRoom
  }
  deriving (Generic, Show)

instance ToJSON UsersData

type UsersWithoutRoom = [User]
